%define upstream_name    String-Formatter
%define upstream_version 1.235

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Ways to put String::Formatter to use
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Params::Util)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
String::Formatter is a tool for building sprintf-like formatting routines.
It supports named or positional formatting, custom conversions, fixed
string interpolation, and simple width-matching out of the box. It is easy
to alter its behavior to write new kinds of format string expanders. For
most cases, it should be easy to build all sorts of formatters out of the
options built into String::Formatter.

Normally, String::Formatter will be used to import a sprintf-like routine
referred to as "'stringf'", but which can be given any name you like. This
routine acts like sprintf in that it takes a string and some inputs and
returns a new string:

  my $output = stringf "Some %a format %s for you to %u.\n", { ... };

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Jan 02 2023 tv <tv> 1.235.0-1.mga9
+ Revision: 1928861
- update to 1.235

* Mon Mar 21 2022 umeabot <umeabot> 1.234.0-2.mga9
+ Revision: 1814944
- Mageia 9 Mass Rebuild

* Tue Aug 31 2021 tv <tv> 1.234.0-1.mga9
+ Revision: 1743679
- update to 1.234

* Wed Feb 12 2020 umeabot <umeabot> 0.102.84-8.mga8
+ Revision: 1497213
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.102.84-7.mga7
+ Revision: 1271233
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.102.84-6.mga6
+ Revision: 1033363
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.102.84-5.mga6
+ Revision: 944262
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.102.84-4.mga5
+ Revision: 749934
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.102.84-3.mga5
+ Revision: 733418
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.102.84-2.mga5
+ Revision: 686245
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 sander85 <sander85> 0.102.84-1.mga5
+ Revision: 585621
- update to 0.102084

* Fri Oct 18 2013 umeabot <umeabot> 0.102.82-3.mga4
+ Revision: 514719
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.102.82-2.mga3
+ Revision: 372797
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.102.82-1.mga1
+ Revision: 27007
- mageia rebuild
- imported package perl-String-Formatter

